.video-popup {
  display: flex;
  flex-direction: column;
  overflow: hidden;
  width: 95%;
  max-width: 650px;
  max-height: 90vh;
  border: var(--border-standard);
  border-radius: 20px;
  background: var(--bg-body);
  box-shadow: var(--shadow-dark);
  animation: pixelIn 0.5s ease forwards;
}

@keyframes pixelIn {
  0% {
    opacity: 0;
    transform: scale(0.8);
    filter: blur(12px);
  }
  40% {
    opacity: 1;
    filter: blur(4px);
  }
  100% {
    transform: scale(1);
    filter: blur(0);
  }
}

.closing {
  animation: pixelOut 0.4s ease forwards;
}

@keyframes pixelOut {
  0% {
    opacity: 1;
    transform: scale(1);
    filter: blur(0);
  }
  100% {
    opacity: 0;
    transform: scale(0.8);
    filter: blur(12px);
  }
}

.popup-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 14px 20px;
  border-bottom: var(--border-standard);
  background: var(--bg-dark-elements);
}

.popup-header label {
  color: var(--text-secondary);
  font-size: 15px;
  font-weight: 100;
}

.popup-close-button {
  border: none;
  color: var(--text-accent-blue);
  background: transparent;
  font-size: 16px;
  cursor: pointer;
  transition: 0.3s;
}
.popup-close-button:hover {
  color: var(--text-primary);
  transform: translateY(-3px);
}

.popup-content {
  padding: 30px 20px;
  overflow-y: auto;
  scrollbar-width: none;
}
.popup-content::-webkit-scrollbar {
  display: none;
}

.video-title {
  margin-top: 0;
  margin-bottom: 30px;
  text-align: center;
  font-size: 20px;
  font-weight: 500;
}


.video-container {
  width: 100%;
  margin: 0 auto;
  aspect-ratio: 16 / 9;
  border-radius: 6px;
  background: #000;
}

.video-container video {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* laptop 1600–1919px */
@media (min-width: 1600px) and (max-width: 1919px) {

}

/* laptop 1366–1599px */
@media (min-width: 1366px) and (max-width: 1599px) {
  .video-popup {
    max-width: 600px;
  }

  .popup-header {
    padding: 12px 20px;
  }

  .popup-header label {
    font-size: 14px;
  }

  .popup-close-button {
    font-size: 15px;
  }

  .popup-content {
    padding: 25px 20px;
  }

  .video-title {
    font-size: 18px;
  }
}

/* laptop 1280–1365px */
@media (min-width: 1280px) and (max-width: 1365px) {
    .video-popup {
    max-width: 600px;
  }

  .popup-header {
    padding: 12px 20px;
  }

  .popup-header label {
    font-size: 14px;
  }

  .popup-close-button {
    font-size: 15px;
  }

  .popup-content {
    padding: 25px 20px;
  }

  .video-title {
    font-size: 18px;
  }
}

/* tablet */
@media (min-width: 768px) and (max-width: 1279px) and (orientation: portrait) {

}
@media (min-width: 768px) and (max-width: 1279px) and (orientation: landscape) {
  .video-popup {
    max-width: 600px;
  }

  .popup-header {
    padding: 12px 20px;
  }

  .popup-header label {
    font-size: 14px;
  }

  .popup-close-button {
    font-size: 15px;
  }

  .popup-content {
    padding: 25px 20px;
  }

  .video-title {
    font-size: 18px;
  }
}

/* smartphone */
@media (max-width: 767px) and (orientation: portrait) {
  .popup-header {
    padding: 12px 18px;
  }

  .popup-header label {
    font-size: 14px;
  }

  .popup-close-button {
    font-size: 15px;
  }

  .popup-content {
    padding: 25px 20px;
  }

  .video-title {
    font-size: 16px;
  }
}
@media (max-width: 767px) and (orientation: landscape) {
  .video-popup {
    max-width: 500px;
  }

  .popup-header {
    padding: 12px 18px;
  }

  .popup-header label {
    font-size: 14px;
  }

  .popup-close-button {
    font-size: 15px;
  }

  .popup-content {
    padding: 25px 20px;
  }

  .video-title {
    font-size: 17px;
  }
}
@media (min-width: 768px) and (max-width: 915px) and (max-height: 500px) and (orientation: landscape) {
  .video-popup {
    max-width: 600px;
  }

  .popup-header {
    padding: 12px 20px;
  }

  .popup-header label {
    font-size: 14px;
  }

  .popup-close-button {
    font-size: 15px;
  }

  .popup-content {
    padding: 25px 20px;
  }

  .video-title {
    font-size: 20px;
  }
}